.GridHeader {
}
.Header {
	width: 100%;
	}

.Header_off th { 
	font-size: 100%; font-weight: bold; text-align: left;
	padding: 2px;
	background-image: url(images/headerbg.gif) ;
	color: #FFFFFF;
	width: 100%;
	white-space: nowrap;
	font-size:10px;
	}

.HeaderLeft_off { 
	background-image: url(images/headerleft.gif);
	}

.HeaderRight_off { 
	background-image: url(images/headerright.gif);
	}
.HeaderButton_off {
	background-image: url(images/headerbg.gif);	
}
.HeaderButton img{
	width: 17px;
}

.HeaderLeft img{
	width: 14px;
	}

.HeaderRight img{
	width: 10px;
	}

.GridHeader table {margin:0;}
.GridHeader td, tr {padding:0;}
/* Grid */
table.scroll {
	table-layout: fixed;
	/*border-right: 1px solid #D4D0C8;*/
	margin-bottom:0;
}
table.scroll tbody tr {
	background-color: #ffffff; 
}

table.scroll tbody tr.alt {
	background-color: #F9F9F9;
}
	
table.scroll_off tr.over td{
	/*cc*background-color: #E1DCF4;*/
	background-color: #CCCCD9;
}
	
table.scroll_off tr.selected td {
	/*cc*background:: #3d84cc;*/
	background: #7189A6;
	color: White;
}

	table.scroll tbody td  {
	padding: 2px;
	text-align: left;
	border-bottom: 1px solid #D4D0C8;
	border-left: 1px solid #D4D0C8; 
	text-overflow: ellipsis;
	overflow: hidden;
	white-space: nowrap;
	height : auto;
	font-size:10px;
}
	
	table.scroll_off thead th  {
	padding: 2px;
	border-bottom: 1px solid #CBC7B8; 
	border-left: 1px solid #D4D0C8; 
	text-align: left;
	font-weight: normal;
	overflow: hidden;
	white-space: nowrap;
	background-image: url(images/grid-blue-hd.gif);
	height : 17px;
	font-size:10px;
}
	
	table.scroll th div {
	overflow: hidden;
/*	white-space: nowrap;*/
	word-wrap: break-word;
	height : 17px;
}
	table.scroll th span {
	cursor: e-resize;
/*	border-right: 1px solid #D6D2C2;  */
	width: 10px;
	float: right;
	display: block;
	margin: -2px -1px -2px 0px;
	height: 10px;
	overflow: hidden;
	white-space: nowrap;
	
}

/* End Grid */

/* Pager */
div.scroll {
	vertical-align:top;
	height: 20px;
	white-space: nowrap;
	text-align: center;
	background-image: url(images/grid-blue-ft.gif);
	display : none;
	font-size:10px;

}
div.scroll span {
	vertical-align:top; 	
}
.selbox {
	font-size: x-small;
	vertical-align:top;
}
input.selbox{
	font-size: x-small;
	vertical-align:top;
}
.pgbuttons {
	margin-top :2px;
}
.nav-table-left {
	padding:1px;
	float: left;
/*	position:absolute;*/
}
.nav-table-right {
	padding:1px;
	float: right;
}

table.navtable_off {margin-bottom:0; width: auto;}
table.navtable_off tr{
	background-image: url(images/grid-blue-ft.gif);	
}

table.navtable td.nav-button {
	border: 1px solid #E2ECF8;
	white-space: nowrap;
}

table.navtable td.nav-hover {
	border: 1px solid #83B4D8;
}

table.tbutton tr td{
	border : none;
	padding:0px;
}

img.jsHover { /*not used */
	border: 1px solid #99CCFF;
}
/* End Pager */
/*multiselect checkbox */
.cbox {
	height: 10px;
	width: 10px;
	/*border:1px solid #999;*/
}
/* end multiselect */


/* loading div */
div.loading {
	position: absolute;
	padding: 3px;
	text-align: center;
	font-weight: bold;
	background: red;
	color: white;
	display: none;
}

div.loadingui {
   display:none;
   z-index:6000;
   position:absolute;
}


div.loadingui div.msgbox {
   position: relative;
   z-index:6001;
   left: 35%;
   top:45%;
   background: url(images/loading.gif)  no-repeat left;
   width: 100px;
   border: 2px solid #B2D2FF;
   text-align: right;
   height: auto;
   padding:2px;
   margin: 0px;
} 
/* end loading div */
/* toolbar */
div.userdata {
	margin-top: 0px;
	background-color : #EAF9F9;
	height : 20px;
	overflow: hidden;	
}
/* end toolbar */
/*Subgrid  text mode*/
.subgrid {
	height: 100%;
	overflow:  auto;
}
.tablediv {
	background-color: White;
	border-spacing: 1px; /*cellspacing:poor IE support for  this*/
	border-collapse: separate;
	width:100%; /* FF hack poor when scroling subgrid */
}
.celldiv {
	float: left;
	display: table-cell;
	border: 1px dotted #CCCCCC;
	overflow: auto;
	white-space: normal;
}
.celldivth {
	float: left; /*fix for  buggy browsers*/
	border: 1px solid #CCCCCC;
	background-color: #99CCFF;
	border-bottom: 1px solid #CBC7B8;
	text-align: left;
	overflow: auto;
}
.rowdiv  {
	display: table-row;
	background: #F9F9F9 none;
	color: #000000;
	width: 100%;
	overflow:auto;
}
/* End Subgrid */

/* InLine editing */
input.editable[type="text"] {
	font-size: x-small;
	overflow: hidden;
	height : 15px;
}
input.editable[type="checkbox"]  {
}

textarea.editable {
	overflow: hidden;
}

select.editable {
	font-size: x-small;
}
/* End Inline Editing */

/*Modal Window */
.modaltext{ 
    text-align : left;
}
.modalwin{
    border:1px solid #555555;
    background:#F9F9F9;
    text-align:left;
    margin: 0 auto;
	overflow: auto;
}


.modalhead_off {
	background-image: url(images/grid-blue-hd.gif);
	height: 20px;
	
}
.modalcontent {
	overflow: auto;
	margin-bottom: 9px;
	margin-left: 5px;
}
/* end Modal window*/
/* Search window */
input.search {
	margin: 2px;
	width: 70px;
	font-size: 10px;
	color: #15428B;	
}

select.search {
	margin: 2px;
	width: 70px;
	font-size: 10px;
	color: #15428B;		
}
.buttonsearch {
	width : 50px;
	font-size: 10px;
	color: #15428B;		
}
/*End search */

/* Form edit */

.FormGrid {
	margin: 0px;
}
.EditTable {
	width: 100%;
}

.FormData { /* tr */
	
}

#FormError td {
	font-size: 90%;
	color: #FF0000;
	vertical-align: top;
	background-color: #f7f7f7; 
}

.CaptionTD{ /* td */
	font-weight: normal; text-align: left; vertical-align: top;
	padding: 1px;
	border-top: 1px solid #D4D0C8;
	white-space: nowrap;
	color: #000000;
}
.DataTD { /* td */
	padding: 1px;
	border-top: 1px solid #D4D0C8;
	vertical-align: top;
}
.navButton{
	border-top: 1px solid #D4D0C8;
	border-bottom: 1px solid #D4D0C8;
	text-align: center;
}
.navButton input{
	width:17px;
}
input.EditButton { /* buttons are at footer tr */
	font-size: 10px;
	color: #15428B;
}
td.EditButton {
	text-align: right;
	border-top: 1px solid #D4D0C8;
	border-bottom: 1px solid #D4D0C8;
}

.FormElement { /* form element  - input -text,textarea,checkbox - select  */
	
}
.FormElement {
	font-size: 10px;	
}
input[type="text"].FormElement{
	color: #15428B;		
}
input[type="checkbox"].FormElement{
	width: 15px;
	color: #15428B;		
}
input[type="textarea"].FormElement{
	color: #15428B;		
}
select.FormElement {
	font-size: 10px;
	color: #15428B;		
}
/* End Eorm edit */

/* Delete Dialog */
.DelButton > input { /* buttons are at footer tr */
	font-size: 10px;
	color: #15428B;
}
.DelButton {
	text-align: right;
}
/* End Delete Dialog */

img.jqResize {
	position:absolute;
	bottom: 0px;
	right: 0px;
	cursor :se-resize;
}
.dirty-cell {
	background: transparent url(images/dirty.gif) no-repeat 0 0;	
}
#DelError td {
	font-size: 90%;
	color: #FF0000;
	vertical-align: top;
	background-color: #f7f7f7; 
}
/* Tree Grid */
.tree-wrap
{
	float: left; 
	position: relative;
	height: 18px;
	white-space: nowrap;
	overflow: hidden;
}
.tree-minus
{
	position: absolute;
	height: 18px; 
	width: 16px;
	overflow: hidden;
	background: url(images/tree_minus.gif) no-repeat;
}
.tree-plus
{
	position: absolute;
	height: 18px; 
	width: 16px;
	overflow: hidden;
	background: url(images/tree_plus.gif) no-repeat;
}
.tree-leaf
{
	position: absolute;
	height: 18px; 
	width: 16px;
	overflow: hidden;
	background: url(images/tree_leaf.gif) no-repeat;
}
.treeclick
{
	cursor: pointer;
}
.edit-cell {
	background-color: #E1DCF4 !important;
}
.selected-row_off, .selected-row_off TD {
	/*cc*background-color: #3d84cc; */
	background-color: #7189A6; 
}